Skip to main content
POST
/
google-drive
/
installations
/
{installation_id}
/
index
Trigger Google Drive Index
curl --request POST \
  --url https://apigcp.trynia.ai/v2/google-drive/installations/{installation_id}/index \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "file_ids": [
    "<string>"
  ],
  "folder_ids": [
    "<string>"
  ],
  "display_name": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Path Parameters

installation_id
string
required

Body

application/json
file_ids
string[]

Drive file IDs to index

folder_ids
string[]

Drive folder IDs to index

display_name
string | null

Optional custom display name for the indexed Drive source

Maximum string length: 120

Response

Successful Response